package domain

type AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse struct {
	/*
	   活动id     */
	UmpActivityId *int64 `json:"ump_activity_id,omitempty" `

	/*
	   券模版id     */
	SourceId *int64 `json:"source_id,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse) SetUmpActivityId(v int64) *AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse {
	s.UmpActivityId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse) SetSourceId(v int64) *AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse {
	s.SourceId = &v
	return s
}
